import { defineComponent as a, toRefs as n, openBlock as r, createElementBlock as i, normalizeStyle as d, unref as t, createElementVNode as c } from "vue";
const _ = ["width"], f = ["stroke", "points"], u = ["stroke", "points"], k = a({ name: "EDecorates02" }), $ = /* @__PURE__ */ a({
  ...k,
  props: {
    chartConfig: {
      type: Object,
      required: !0
    }
  },
  setup(l) {
    const o = l, { w: e, h: m } = n(o.chartConfig.attr), { colors: s, dur: h, lineHeight: p } = n(o.chartConfig.option);
    return (g, y) => (r(), i("div", {
      class: "go-decorates-2",
      style: d(`width:${t(e)}px; height: ${t(p)}px animation-duration:${t(h)}s`)
    }, [
      (r(), i("svg", {
        width: t(e),
        height: 3
      }, [
        c("polyline", {
          stroke: t(s)[0],
          points: `0, 2.5 ${t(e)}, 2.5`
        }, null, 8, f),
        c("polyline", {
          stroke: t(s)[1],
          "stroke-width": "3",
          "stroke-dasharray": "20, 80",
          "stroke-dashoffset": "-30",
          points: `0, 2.5 ${t(e)}, 2.5`
        }, null, 8, u)
      ], 8, _))
    ], 4));
  }
});
export {
  $ as default
};
